<p align="center">
    <a href="https://predict-idlab.github.io/landmarker">
        <img alt="landmarker" src="/docs/_static/images/logo.svg" width="66%">
    </a>
</p>


Landmarker is a [PyTorch](https://pytorch.org/)-based toolkit for (anatomical) landmark detection in images. It is designed to be easy to use and to provide a flexible framework for state-of-the-art landmark detection algorithms for small and large datasets. Landmarker was developed for landmark detection in medical images. However, it can be used for any type of landmark detection problem.

## 🛠️ Installation

|                                                      | command                               |
| :--------------------------------------------------- | :------------------------------------ |
| [**pip**](https://pypi.org/project/landmarker)          | `pip install landmarker`                  |
<!-- | [**conda**](https://anaconda.org/conda-forge/landmarker) | `conda install -c conda-forge landmarker` | -->

## 🚀 Getting Started
Technical documentation is available at [documentation](https://predict-idlab.github.io/landmarker/).

Examples and tutorials are available at [examples](https://predict-idlab.github.io/landmarker/examples/index.html)

## ✨ Features
- **Modular**: Landmarker is designed to be modular. It is easy to add new models, datasets, and loss functions.
- **Flexible**: Landmarker provides a flexible framework for landmark detection. It is easy to customize the training and evaluation process.
- **Easy to use**: Landmarker is easy to use. It provides a simple API for training and evaluation.
- **State-of-the-art**: Landmarker provides state-of-the-art landmark detection models and loss functions.

## 📈 Future Work
- Extension to 3D landmark detection.
- Extension to landmark detection in videos.
- Add uncertainty estimation.
- ...

 ## 👪 Contributing

We welcome contributions to Landmarker. Please read the [contributing guidelines](CONTRIBUTING.md) for more information.

## 📖 Citation
If you use Landmarker in your research, please cite the following paper:

SCIENTIFIC PAPER UNDER REVIEW

## 📝 License
Landmark is licensed under the IMEC [license](LICENSE).

---

<p align="center">
👤 <i>Jef Jonkers</i>
</p>